Loading...
Searching...
No Matches
N_gradient_2d Struct Reference

Gradient between the cells in X and Y direction. More...

`#include <N_pde.h>`

## Data Fields

double | NC
double | SC
double | WC
double | EC

## Detailed Description

Gradient between the cells in X and Y direction.

    ______________
    |    |    |    |
    |    |    |    |
    |----|-NC-|----|
    |    |    |    |
    |   WC    EC   |
    |    |    |    |
    |----|-SC-|----|
    |    |    |    |
    |____|____|____|

    |  /
    TC NC
    |/
    --WC-----EC--
    /|
    SC BC
    /  |

Definition at line 457 of file N_pde.h.

## Field Documentation

## EC

double N_gradient_2d::EC

Definition at line 459 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_2d(), N_calc_solute_transport_transmission_2d(), N_callback_solute_transport_2d(), N_compute_gradient_field_components_2d(), N_copy_gradient_2d(), N_create_gradient_2d(), and N_get_gradient_2d().

## NC

double N_gradient_2d::NC

Definition at line 459 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_2d(), N_calc_solute_transport_transmission_2d(), N_callback_solute_transport_2d(), N_compute_gradient_field_components_2d(), N_copy_gradient_2d(), N_create_gradient_2d(), and N_get_gradient_2d().

## SC

double N_gradient_2d::SC

Definition at line 459 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_2d(), N_calc_solute_transport_transmission_2d(), N_callback_solute_transport_2d(), N_compute_gradient_field_components_2d(), N_copy_gradient_2d(), N_create_gradient_2d(), and N_get_gradient_2d().

## WC

double N_gradient_2d::WC

Definition at line 459 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_2d(), N_calc_solute_transport_transmission_2d(), N_callback_solute_transport_2d(), N_compute_gradient_field_components_2d(), N_copy_gradient_2d(), N_create_gradient_2d(), and N_get_gradient_2d().

The documentation for this struct was generated from the following file:

- N_pde.h